package com.alterdekim.game.mapper;

import com.alterdekim.flash.decompiler.mapper.FlashFieldConverter;
import com.alterdekim.game.component.game.CatalogType;
import lombok.NoArgsConstructor;

@NoArgsConstructor
public class String2CatalogTypeConverter extends FlashFieldConverter {
    @Override
    public Object convert(Object o) {
        return CatalogType.fromType((String) o);
    }
}
